
PENGADIAN EMAS - Bug #16125

[UAT] [BE] [Sell] Negative Testing Surrounding System - DCIF Down - Error Message #10021

30 March 2023 06:13 PM - AMARBEER SINGH SIDHU amar.beer

Status: Closed Start date: 30 March 2023

Priority: Normal Due date:  

Assignee: AMARBEER SINGH SIDHU amar.beer % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

When DCIF down, after TAC it went to the old acknowledgement screen with error message "Rekening/data tidak ditemukan". after

tap done, it showed "mohon maaf..." (Bahasa Version)

​When DCIF down, after TAC it went to the new acknowledgement screen. after tap done, it navigated to the entry point (english

version

UID: UATEMAS120

Screen: Attached

History

#1 - 30 March 2023 06:13 PM - AMARBEER SINGH SIDHU amar.beer

- Subject changed from [UAT] [BE] [Sell] Negative Testing Surrounding System - DCIF Down - Error Message to [UAT] [BE] [Sell] Negative Testing

Surrounding System - DCIF Down - Error Message #10021

#2 - 03 April 2023 10:25 AM - Imran Abdulhadi

- Assignee changed from Imran Abdulhadi to AMARBEER SINGH SIDHU amar.beer

need latest scenario

#3 - 03 April 2023 10:30 AM - AMARBEER SINGH SIDHU amar.beer

- File WhatsApp Image 2023-04-03 at 10.29.21 AM.jpeg added

- File WhatsApp Image 2023-04-03 at 10.29.22 AM.jpeg added

- Assignee changed from AMARBEER SINGH SIDHU amar.beer to Imran Abdulhadi

attached correct image

#4 - 03 April 2023 11:18 AM - Imran Abdulhadi

both are hitting different scenarios when calling emas Buy payment

-- for 99

30-03-2023 13:39:16 [http-nio-8865-exec-10] INFO  id.co.maybank.emas.service.buySell.BuySellServiceImpl - RequestID :

e3b36353-edb3-4e66-a9c5-1516de3ce167 | 5372ms | emasBuyPayment Response :

{"responseMsgTabPay":{"pegadaianRes":{"namaNasabah":"DIDA

HARIASA","statusPegawai":false,"gram":"0.0708","hakNasabah":"0","harga":"9900.00","saldoEmas":"4.8608","saldoNominal":"0.00","satuan":"0.0100"

,"tglBuka":"2022-03-04","administrasi":"0.00","jenisTransaksi":"SL","namaProduk":"TABUNGAN

EMAS","nilaiTransaksi":"70000.00","reffCore":"1680158333576128351","reffSwitching":"16801582642762414","surcharge":"0.00","tglTransaksi":"202

3-03-30","totalKewajiban":"70000.00","norek":"1283522620000322","reffBiller":"I0001363129"},"transactionInfo":{"sequenceNo":"282471","receiptNo":

"01363129"},"responseCode":"00","responseDetail":{"responseCode":"00","responseData":"Approved","errorOrigin":"PEGADAIAN"}}}

-- for the one that hits acknowledgement.

30-03-2023 14:06:11 [http-nio-8865-exec-6] INFO  id.co.maybank.emas.service.buySell.BuySellServiceImpl - RequestID :

d5d6b9c6-f655-499b-9541-a5776f0c20d2 | 12156ms | emasBuyPayment Response :

{"responseMsg":{"transactionInfo":{"sequenceNo":"282474","receiptNo":"01363207"},"responseCode":"68","responseDetail":{"responseCode":"68","re

sponseData":"Error","errorOrigin":"ESB"}}}
#5 - 03 April 2023 05:13 PM - AMARBEER SINGH SIDHU amar.beer

- Status changed from New to Closed

- Assignee changed from Imran Abdulhadi to AMARBEER SINGH SIDHU amar.beer

OK

Files

Image20230301145527.jpg 602 KB 30 March 2023 AMARBEER SINGH SIDHU amar.beer

Image20230301145519.jpg 376 KB 30 March 2023 AMARBEER SINGH SIDHU amar.beer

WhatsApp Image 2023-04-03 at 10.29.21 AM.jpeg 33.8 KB 03 April 2023 AMARBEER SINGH SIDHU amar.beer

WhatsApp Image 2023-04-03 at 10.29.22 AM.jpeg 60.2 KB 03 April 2023 AMARBEER SINGH SIDHU amar.beer
